<?php

namespace App\Classes\Modules\PackingLists\Standards\Rules;


use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\PackingLists\DataTransferObjects\PackingListObject;
use App\Classes\ValueObjects\Constants\RoleTypes;

class CanListPackingLists extends AbstractRule
{


    /**
     * @return bool
     */
    protected function authorized($object): bool
    {
        // if(Auth()->user()){
        //     $roleToCheck = Auth()->user()->type;
        //     if (in_array($roleToCheck, RoleTypes::ADMIN_ROLES)) {
        //         return true;
        //     }
        //     else {
        //         return false;
        //     }
        // }
        // return false;
        return true;
    }

    /**
     * @param PackingListObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;

    }


    /**
     * @param PackingListObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }

}
